Bug 1087399 - White-on-White on system_role screen
White-on-White on system_role screen
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Installation
Current
Other Other
: P1 - Urgent : Normal (vote)
: ---
Assigned To: Martin Vidner
Jiri Srain
https://trello.com/c/VasiMQRM/1401-2-...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-29 08:12 UTC by Richard Brown
Modified: 2022-02-24 14:48 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Brown 2018-03-29 08:12:07 UTC
The kubic installation uses the yast system_role screen

each system role title (eg. openSUSE MicroOS) is currently displayed in white

On a white background that makes the screen unreadable

https://openqa.opensuse.org/tests/645476#step/system_role/2

A different font colour or a different background colour would be nice..users kind of need to read the text ;)
Comment 1 Martin Vidner 2018-03-29 14:25:33 UTC
I tried to edit the richtext.css file referenced from the qss file, but so far without success.

If the styling fixes don't work we can use a condition using a feature from the control file,
https://github.com/yast/skelcd-control-Kubic/blob/master/control/control.Kubic.xml
http://www.rubydoc.info/github/yast/yast-yast2/Yast/ProductFeaturesClass#GetBooleanFeature-instance_method
Comment 2 Richard Brown 2018-04-06 09:11:41 UTC
Unable to be worked around in theme due to https://github.com/yast/yast-installation/blob/38535577faec1f04960822f32634c48f858bbf07/src/lib/installation/select_system_role.rb#L276

Raising prio as human users cannot knowingly read the title of any system role - only reason it isn't a Tumbleweed blocker is we can fool openQA
Comment 3 Michal Filka 2018-04-09 07:02:57 UTC
(In reply to Richard Brown from comment #2)
> Unable to be worked around in theme due to
> https://github.com/yast/yast-installation/blob/
> 38535577faec1f04960822f32634c48f858bbf07/src/lib/installation/
> select_system_role.rb#L276
> 
> Raising prio as human users cannot knowingly read the title of any system
> role - only reason it isn't a Tumbleweed blocker is we can fool openQA

@Martin
text color is obviously hardcoded. What was the reason for that? How hard would it be to change it to use colors according to style definition?
Comment 5 Martin Vidner 2018-04-17 07:46:07 UTC
All merged:
- yast2-installation-4.0.48
- yast2-theme-SLE-4.0.4
- branding-openSUSE has progressed to Base:System so far: https://build.opensuse.org/request/show/597161

Thanks, everyone!